Bug 982163 - (ghc-threads) Review Request: ghc-threads - Fork threads and wait for their result
Review Request: ghc-threads - Fork threads and wait for their result
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 892586
  Show dependency treegraph
 
Reported: 2013-07-08 06:02 EDT by Ricky Elrod
Modified: 2013-07-21 20:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: ghc-threads-0.5.0.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 20:29:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2013-07-08 06:02:21 EDT
Spec URL: http://codeblock.fedorapeople.org/packages/ghc-threads/ghc-threads.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/ghc-threads/ghc-threads-0.5.0.2-1.fc19.src.rpm
Description: This package provides functions to fork threads and wait for their result, whether it's an exception or a normal value.

Fedora Account System Username: codeblock
Comment 1 Jens Petersen 2013-07-10 06:10:13 EDT
Looks fine to me.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-threads-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

This is allowed for Haskell libraries.

((Maybe I should add "Provides: *-static" to cabal-rpm
  if that would quieten fedora-review.))

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 194560 bytes in 22 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-threads-0.5.0.2-1.fc20.x86_64.rpm
          ghc-threads-devel-0.5.0.2-1.fc20.x86_64.rpm
ghc-threads.x86_64: W: spelling-error %description -l en_US threadmanager -> thread manager, thread-manager, threadbare
ghc-threads.x86_64: W: spelling-error %description -l en_US async -> sync, a sync
ghc-threads.x86_64: W: spelling-error %description -l en_US forkOn -> fork On, fork-on, fork
ghc-threads.x86_64: W: spelling-error %description -l en_US forkIOWithUnmask 
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-threads ghc-threads-devel
ghc-threads.x86_64: W: spelling-error %description -l en_US threadmanager -> thread manager, thread-manager, threadbare
ghc-threads.x86_64: W: spelling-error %description -l en_US async -> sync, a sync
ghc-threads.x86_64: W: spelling-error %description -l en_US forkOn -> fork On, fork-on, fork
ghc-threads.x86_64: W: spelling-error %description -l en_US forkIOWithUnmask 
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-threads (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(base-unicode-symbols-0.2.2.4-ec1c787160bf91bc92b0b4f99c4199a9)
    ghc(stm-2.4.2-b5d718b1a5f1fbcdb61a336aef0c2130)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbase-unicode-symbols-0.2.2.4-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSstm-2.4.2-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-threads-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(threads-0.5.0.2-b15b0b9f26e32879615a4e09375f7313)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(base-unicode-symbols-0.2.2.4-ec1c787160bf91bc92b0b4f99c4199a9)
    ghc-devel(stm-2.4.2-b5d718b1a5f1fbcdb61a336aef0c2130)
    ghc-threads(x86-64)



Provides
--------
ghc-threads:
    ghc(threads-0.5.0.2-b15b0b9f26e32879615a4e09375f7313)
    ghc-threads
    ghc-threads(x86-64)
    libHSthreads-0.5.0.2-ghc7.6.3.so()(64bit)

ghc-threads-devel:
    ghc-devel(threads-0.5.0.2-b15b0b9f26e32879615a4e09375f7313)
    ghc-threads-devel
    ghc-threads-devel(x86-64)


Unversioned so-files
--------------------
ghc-threads: /usr/lib64/ghc-7.6.3/threads-0.5.0.2/libHSthreads-0.5.0.2-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/threads/0.5.0.2/threads-0.5.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 559a0750565289de60bd6b26784d7978ee85c2662c84feeb504910539eac8c91
  CHECKSUM(SHA256) upstream package : 559a0750565289de60bd6b26784d7978ee85c2662c84feeb504910539eac8c91


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 982163


Package is APPROVED
Comment 2 Ricky Elrod 2013-07-10 06:15:53 EDT
New Package SCM Request
=======================
Package Name: ghc-threads
Short Description: Fork threads and wait for their result
Owners: codeblock
Branches: f18 f19
InitialCC:
Comment 3 Gwyn Ciesla 2013-07-10 06:57:37 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-07-11 00:58:35 EDT
ghc-threads-0.5.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-threads-0.5.0.2-1.fc19
Comment 5 Fedora Update System 2013-07-11 01:02:37 EDT
ghc-threads-0.5.0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-threads-0.5.0.2-1.fc18
Comment 6 Fedora Update System 2013-07-11 23:14:28 EDT
ghc-threads-0.5.0.2-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2013-07-21 20:29:30 EDT
ghc-threads-0.5.0.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 8 Fedora Update System 2013-07-21 20:33:30 EDT
ghc-threads-0.5.0.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.